Bug 469969 - Review Request: Tao Framework - C# bindings for many different libraries
Review Request: Tao Framework - C# bindings for many different libraries
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 469972
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 17:37 EST by Paul F. Johnson
Modified: 2009-02-28 05:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 05:57:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2008-11-04 17:37:13 EST
Spec URL: http://pfj.fedorapeople.org/tao.spec
SRPM URL: http://pfj.fedorapeople.org/taoframework-2.1.0-1.fc10.src.rpm
Description: The Tao Framework for .NET is a collection of bindings to facilitate cross-platform media application development utilizing the .NET and Mono platforms.
Comment 1 David Nielsen 2008-11-07 17:08:13 EST
I'll take this
Comment 2 Paul F. Johnson 2008-11-13 16:35:59 EST
Spec URL: http://pfj.fedorapeople.org/tao.spec
SRPM URL: http://pfj.fedorapeople.org/taoframework-2.1.0-2.fc10.src.rpm

Rebuild to use libglfw instead of glfw.
Comment 3 David Nielsen 2008-11-18 12:18:10 EST
as libglfw-devel is not available in F10 yet I can't complete the mock build required for the review just yet. I am also leaving for Brazil on the 22th of November and won't be home till the 18th of December so if you need this completed before then you will have to seek someone else to complete the review. I would suggest someone like spot who tends to be through in his reviews.

Right now though, you can start by renaming the documentation package to doc to keep in line with the rest of Fedora. I also wonder if the examples wouldn't fit nicely in the doc package as well, I don't remember what the norm is here but I would think that example code would be a pristine form of documentation.

You also alter the build system quite a bit, do you have a bug with upstream to track this, as well as the libdir stuff? It would be nice to not have to do that, admittedly cool looking, hackaround.

rpmlint sayth:

taoframework.src: E: invalid-spec-name
taoframework.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 1)

taoframework.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/taoframework-2.1.0/INSTALL
taoframework.x86_64: W: file-not-utf8 /usr/share/doc/taoframework-2.1.0/COPYING
taoframework-examples.x86_64: W: uncompressed-zip /usr/share/tao/examples/Data/PhysFsExamples.Simple.MyZip.zip
Comment 4 David Nielsen 2009-02-21 08:36:27 EST
While I have dropped the ball on this, I see you still have not completed the suggested changes. Are you still interested in this package?
Comment 5 David Nielsen 2009-02-28 05:57:11 EST
Due to inactivity since 2008-11-18 I am closing this

Note You need to log in before you can comment on or make changes to this bug.